@echo off
echo ********************************************************
echo * install firmware version 4.3.2 (V3) downgrade files  *
echo * to folder C:\ProgramData\E-tube Project Normal V4\FW *
echo ********************************************************

if not exist "C:\ProgramData\E-tube Project Normal V4\FW" goto NO_FOLDER_FOUND_LABEL

if exist "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-D.5.8.8.dat" goto NO_CLEANUP_DONE_LABEL
if exist "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-M.5.8.8.dat" goto NO_CLEANUP_DONE_LABEL
if exist "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-D.5.8.8.dat" goto NO_CLEANUP_DONE_LABEL
if exist "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-M.5.8.8.dat" goto NO_CLEANUP_DONE_LABEL

:START_AGAIN_LABEL
if not exist "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-D.5.8.8.dat" copy "2DUE8000-D.5.8.8.dat" "C:\ProgramData\E-tube Project Normal V4\FW"
if not exist "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-M.5.8.8.dat" copy "2DUE8000-M.5.8.8.dat" "C:\ProgramData\E-tube Project Normal V4\FW"
if not exist "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-D.5.8.8.dat" copy "DUE8000-D.5.8.8.dat" "C:\ProgramData\E-tube Project Normal V4\FW"
if not exist "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-M.5.8.8.dat" copy "DUE8000-M.5.8.8.dat" "C:\ProgramData\E-tube Project Normal V4\FW"

if not exist "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-D.5.8.8.dat" goto FILE_NOT_COPIED_LABEL
if not exist "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-M.5.8.8.dat" goto FILE_NOT_COPIED_LABEL
if not exist "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-D.5.8.8.dat" goto FILE_NOT_COPIED_LABEL
if not exist "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-M.5.8.8.dat" goto FILE_NOT_COPIED_LABEL

echo.
echo ...downgrade files successfully installed!
echo.
echo now you can run eTube 4.0.x and update your motor unit (DUE8000) to
echo the indicated version 5.8.8 (which is factual motor firmware 4.3.2)
echo.
goto END_LABEL

:NO_CLEANUP_DONE_LABEL
echo.
echo WARNING: 
echo it is most likely there was no CleanUp (step 5) done
echo after processing the last downgrade. 
echo the old downgrade files will be erased now...
if exist "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-D.5.8.8.dat" del "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-D.5.8.8.dat"
if exist "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-M.5.8.8.dat" del "C:\ProgramData\E-tube Project Normal V4\FW\2DUE8000-M.5.8.8.dat"
if exist "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-D.5.8.8.dat" del "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-D.5.8.8.dat"
if exist "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-M.5.8.8.dat" del "C:\ProgramData\E-tube Project Normal V4\FW\DUE8000-M.5.8.8.dat"
echo.
goto START_AGAIN_LABEL

:NO_FOLDER_FOUND_LABEL
echo.
echo ERROR: could not find folder "C:\ProgramData\E-tube Project Normal V4\FW"!
echo.
goto END_LABEL

:FILE_NOT_COPIED_LABEL
echo.
echo ERROR: problem with copying file(s) to destination folder!
echo.
goto END_LABEL

:END_LABEL
pause
